import { SearchParams } from '../components/types/Params';
export declare function getToken(): string;
export declare function setUserInfo(userInfo: any): void;
export declare function setPublicKey(publicKey: string): void;
export declare function getPublicKey(): string;
/**
 * 设置客户信息
 * @param customerInfo
 */
export declare function setCustomerInfo(customerInfo: any): void;
/**
 * 获取客户信息
 */
export declare function getCustomerInfo(): any;
/**
 * 获取查询对象
 */
export declare function getCustomerParam(propertyName?: string): SearchParams | null;
export declare function getUserInfo(): any;
/**
 * 检测是否系统管理员
 */
export declare function isSystemManage(): boolean;
export declare function setToken(token: string, rememberMe: any): void;
export declare function removeToken(): void;
